=== debian/changelog ===
libcuckoo (0~git20210805-3) unstable; urgency=medium

  * add patch to fix warnings in building and the test_resize test itself
    on 32bit (from upstream github)

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Dec 2021 22:18:41 +0100

libcuckoo (0~git20210805-2) unstable; urgency=medium

  * upload source-only 

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Nov 2021 20:16:44 +0100

libcuckoo (0~git20210805-1) unstable; urgency=medium

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Sep 2021 21:48:43 +0200
