=== debian/control ===
Source: libcuckoo
Section: devel
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.6.0
Homepage: https://github.com/efficient/libcuckoo
#Vcs-Browser: https://salsa.debian.org/debian/libcuckoo
#Vcs-Git: https://salsa.debian.org/debian/libcuckoo.git
Rules-Requires-Root: no

Package: libcuckoo-dev
Architecture: all
Depends: ${misc:Depends}
Description: high-performance, concurrent hash table (header-only) library
 libcuckoo provides a high-performance, compact hash table that allows multiple
 concurrent reader and writer threads.
 .
 It is a header-only library.
