=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_TESTS=1 -DBUILD_UNIT_TESTS=1

override_dh_auto_test:
	dh_auto_test -- ARGS+=--verbose
endif
