=== debian/changelog ===
libcuckoo (0.3.1-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Marked libcuckoo-dev as Multi-Arch: foreign.
  * Added d/watch setup.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2024 21:47:04 +0100

libcuckoo (0.3.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1018229)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 08:47:02 -0300

libcuckoo (0.3.1-1) unstable; urgency=medium

  * "New" upstream version 0.3.1

  * mark the test as flaky (and consequently ignore make check errors since
    it's actually the same test)

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Aug 2022 10:33:52 +0200
