=== debian/control ===
Source: libcuckoo
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/efficient/libcuckoo
#Vcs-Browser: https://salsa.debian.org/debian/libcuckoo
#Vcs-Git: https://salsa.debian.org/debian/libcuckoo.git
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libcuckoo
Vcs-Git: https://salsa.debian.org/debian/libcuckoo.git

Package: libcuckoo-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: high-performance, concurrent hash table (header-only) library
 libcuckoo provides a high-performance, compact hash table that allows multiple
 concurrent reader and writer threads.
 .
 It is a header-only library.
