=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,5 @@
 	-DBUILD_TESTS=1 -DBUILD_UNIT_TESTS=1
 
 override_dh_auto_test:
-	dh_auto_test -- ARGS+=--verbose
+	-dh_auto_test -- ARGS+=--verbose
 endif
