=== debian/tests/control ===
Tests: test
Depends: @,
         @builddeps@,
Restrictions: allow-stderr, rw-build-tree, flaky
