=== debian/watch ===
version=4
https://github.com/efficient/libcuckoo/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
